/////////////////////////////////////////////////////////////////////////////
/// All GetString implementations for CGM Element classes                ////
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CGMScript.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////

CString ECBegin::GetString()
{
	return CMFElem::GetString()+"Begin Script";
}

CString ECEnd::GetString()
{
	return CMFElem::GetString()+"End Script";
}

CString ECLoop::GetString()
{
	return CMFElem::GetString()+"Loop";
}

CString ECAbort::GetString()
{
	return CMFElem::GetString()+"Abort Script";
}

CString ECRectangle::GetString()
{
	CString s;
	s.Format("%s%s    P1:%s,%s  P2:%s,%s",CMFElem::GetString(),"Rectangle",
		m_P1x.get_string(),m_P1y.get_string(),m_P2x.get_string(),m_P2y.get_string());
	return s;
}

CString ECCircle::GetString()
{
	CString s;
	s.Format("%s%s    Centre:%s,%s  Radius:%s",CMFElem::GetString(),"Circle",
		m_Px.get_string(),m_Py.get_string(),m_Radius.get_string());
	return s;
}
