/////////////////////////////////////////////////////////////////////////////
/// All Serialize implementations for CGM Element classes                ////
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CGMScript.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


void ECRectangle::Serialize(CArchive& ar) 
{
	if (ar.IsStoring())
	{	// storing code
		ar 	<<	m_P1x
			<<	m_P1y
			<<	m_P2x
			<<	m_P2y;
	}
	else
	{	// loading code
		ar 	>>	m_P1x
			>>	m_P1y
			>>	m_P2x
			>>	m_P2y;
	}
}

void ECCircle::Serialize(CArchive& ar) 
{
	if (ar.IsStoring())
	{	// storing code
		ar 	<<	m_Px
			<<	m_Py
			<<	m_Radius;
	}
	else
	{	// loading code
		ar 	>>	m_Px
			>>	m_Py
			>>	m_Radius;
	}
}

