/* @#START#@
**
** Copyright:
**	(C) Copyright International Business Machines Corporation 1996
**	All Rights Reserved
**	Licensed Materials - Property of IBM
**	US Government Users Restricted Rights - Use, duplication, or disclosure
**	restricted by GSA ADP Schedule Contract with IBM Corp.               
**
** Module:
**	fmacpp.H
**
** Description:
**	Header file for operator new and delete to support the FMA allocator
**
** Functions:
**
** Dependencies:
**
** Context:
**
** Restrictions:
**
** Environment:
**	AIX 4.1.4 with CSET++ 3.1.4
**
** Version:
**	%W% %I% %D% %T%
**
** History:
** Date       Author  Description
** -----------------------------------------------------------------------------
** 12-Jul-97  Richter Created
**
** @#END#@*/

#ifndef FMACPP_H
#define FMACPP_H

extern "C" {
#include	"fma.h"
}
struct t_fmapolicy {
    unsigned long size;
    int flags;
    char key;
    int remove_now;
};

extern t_fmapolicy fmapolicy;

void *operator new(unsigned long);
void operator delete(void *);

#endif
