/////////////////////////////////////////////////////////////////////////////
/// All Assignment operator implementations for CGM Element classes      ////
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CGMScript.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////
CMFElem& ECBegin::operator=(const CMFElem& elRHS)
{
	CMFElem::operator=(elRHS);	// Call base class assignment 1st.
	if (this == &elRHS)		// Nothing to do !
		return *this;
	return *this;
}

CMFElem& ECEnd::operator=(const CMFElem& elRHS)
{
	CMFElem::operator=(elRHS);	// Call base class assignment 1st.
	if (this == &elRHS)		// Nothing to do !
		return *this;
	return *this;
}

CMFElem& ECLoop::operator=(const CMFElem& elRHS)
{
	CMFElem::operator=(elRHS);	// Call base class assignment 1st.
	if (this == &elRHS)		// Nothing to do !
		return *this;
	return *this;
}

CMFElem& ECAbort::operator=(const CMFElem& elRHS)
{
	CMFElem::operator=(elRHS);	// Call base class assignment 1st.
	if (this == &elRHS)		// Nothing to do !
		return *this;
	return *this;
}


CMFElem& ECRectangle::operator=(const CMFElem& elRHS)
{
	CMFElem::operator=(elRHS);	// Call base class assignment 1st.
	if (this == &elRHS)		//Nothing to do !
		return *this;
	
	m_P1x  =  ((ECRectangle&) elRHS).m_P1x;
	m_P1y  =  ((ECRectangle&) elRHS).m_P1y;
	m_P2x  =  ((ECRectangle&) elRHS).m_P2x;
	m_P2y  =  ((ECRectangle&) elRHS).m_P2y;
	return *this;
}

CMFElem& ECCircle::operator=(const CMFElem& elRHS)
{
	CMFElem::operator=(elRHS);	// Call base class assignment 1st.
	if (this == &elRHS)		//Nothing to do !
		return *this;
	
	m_Px  =  ((ECCircle&) elRHS).m_Px;
	m_Py  =  ((ECCircle&) elRHS).m_Py;
	m_Radius  =  ((ECCircle&) elRHS).m_Radius;
	return *this;
}

