/*
** Client code, expects are class with virtual functions in shared memory
*/
#include	<iostream.h>
#include	<unistd.h>
#include	<stdlib.h>

#define FMA
#ifdef FMA
#include	"fmacpp.H"

t_fmapolicy fmapolicy = { 1 << 20, 0,  'a' };
#endif

class A {
public:
    int value;
    A();
    virtual void printvalue(void);
};

A::A()
{
    value = 0xff;
}
void A::printvalue()
{
    cout << __FUNCTION__ ":" << value << endl;
}

class B : public A {
    int value2;
public:
    B(int);
    void printvalue(void);
};
B::B(int x)
{
    value2 = x;
}
void B::printvalue()
{
    cout << __FUNCTION__ ":" << value << ", " << value2 << endl;
}


main(int argc, char **argv)
{
    A *ap, *ap2;
    B *bp;
    int i;
    char *cp;
    int server = 0;

    while( (i = getopt(argc, argv, "m:f:k:sc")) != EOF )
	switch( i ){
	case 'c':	server = 0;
			break;
	case 's':	server = 1;
			break;
	case 'f':	fmapolicy.flags = atoi(optarg);
			break;
	case 'k':	fmapolicy.key = (char)atoi(optarg);
			break;
	case 'm':	fmapolicy.size = atol(optarg);
			break;
	}
    if( server ){	/* server */
	ap = new A;
	bp = new B(0xffff);
    }else{
	cp = new char[0];		// Get access to shared memory
	ap = (A *)0x30001ff0;
	bp = (B *)0x30001010;
    }

    ap->printvalue();
    bp->printvalue();
    ap2 = bp;
    ap2->printvalue();
    if( server ){
	cout << "Enter digit to continue:" << endl;
	cin >> i;
	delete ap;
#ifdef FMA
	fmapolicy.remove_now = 1;
#endif
	delete bp;
    }else{
#ifdef FMA
	fmapolicy.remove_now = 1;
#endif
	delete cp;
    }
}
